[@actions/artifact](../README.md) / Artifact

# Interface: Artifact

An Actions Artifact

## Table of contents

### Properties

- [createdAt](Artifact.md#createdat)
- [id](Artifact.md#id)
- [name](Artifact.md#name)
- [size](Artifact.md#size)

## Properties

### createdAt

• `Optional` **createdAt**: `Date`

The time when the artifact was created

#### Defined in

[src/internal/shared/interfaces.ts:128](https://github.com/actions/toolkit/blob/f522fdf/packages/artifact/src/internal/shared/interfaces.ts#L128)

___

### id

• **id**: `number`

The ID of the artifact

#### Defined in

[src/internal/shared/interfaces.ts:118](https://github.com/actions/toolkit/blob/f522fdf/packages/artifact/src/internal/shared/interfaces.ts#L118)

___

### name

• **name**: `string`

The name of the artifact

#### Defined in

[src/internal/shared/interfaces.ts:113](https://github.com/actions/toolkit/blob/f522fdf/packages/artifact/src/internal/shared/interfaces.ts#L113)

___

### size

• **size**: `number`

The size of the artifact in bytes

#### Defined in

[src/internal/shared/interfaces.ts:123](https://github.com/actions/toolkit/blob/f522fdf/packages/artifact/src/internal/shared/interfaces.ts#L123)
